# Uses of Class
org.apache.lucene.monitor.QueryDecomposer

- ## Uses of QueryDecomposer in org.apache.lucene.monitor

  Methods in org.apache.lucene.monitor that return QueryDecomposer
  Modifier and Type
  Method
  Description
  `QueryDecomposer`
  MonitorConfiguration.`getQueryDecomposer()`
  Methods in org.apache.lucene.monitor with parameters of type QueryDecomposer
  Modifier and Type
  Method
  Description
  `MonitorConfiguration`
  MonitorConfiguration.`setQueryDecomposer(QueryDecomposer queryDecomposer)`
  Set the QueryDecomposer to be used by the Monitor